## org.apache.commons.math.util
Enum MathUtils.OrderDirection

    java.lang.Object
      java.lang.Enum<MathUtils.OrderDirection>
          org.apache.commons.math.util.MathUtils.OrderDirection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MathUtils.OrderDirection>

Enclosing class:
  MathUtils

    public static enum MathUtils.OrderDirection

extends java.lang.Enum<MathUtils.OrderDirection>

Specification of ordering direction.

Enum Constant Summary
`DECREASING` Constant for decreasing direction.
`INCREASING` Constant for increasing direction.

Method Summary
`static MathUtils.OrderDirection` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MathUtils.OrderDirection[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INCREASING

    public static final MathUtils.OrderDirection INCREASING

  Constant for increasing direction.

### DECREASING

    public static final MathUtils.OrderDirection DECREASING

  Constant for decreasing direction.

Method Detail

### values

    public static MathUtils.OrderDirection[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MathUtils.OrderDirection c : MathUtils.OrderDirection.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MathUtils.OrderDirection valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright (c) 2003-2013 Apache Software Foundation